import { v4 as uuidv4 } from "uuid";

const SupplementRemortgageFees = [
	{
		fee_id: uuidv4(),
		feeName: "ID/AML Electronic Search Fees",
		feeDescription:
			"Taking required steps for transaction to proceed if search reveals adverse entries against client e.g. advising how to liaise with creditors",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Alterations - Checking (Purchase) or Obtaining (Sale) Alterations Documentation",
		feeDescription: "Undertaking work to check for validity (for buyer), or to obtain (for seller) alterations documents.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Same Day Payment (Standard)",
		feeDescription: "Guaranteed same day telegraphic bank transfer fee",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 30.0,
			feeVat: 6.0,
			feeTotalPrice: 36.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Cladding Issues",
		feeDescription:
			"Handling additional enquiries and relating to exterior cladding on buildings e.g. liaising with surveyors re mortgageability or obtaining EWS1 Form",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 0.1,
			feeVat: 0.02,
			feeTotalPrice: 0.12,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Complex Source of Funds",
		feeDescription:
			"Enhanced Due Diligence required for non-standard source of funds. For example, funds from overseas. Restricted to maximum £300.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 0.1,
			feeVat: 0.02,
			feeTotalPrice: 0.12,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Dealing with (Purchase) or Remedying (Sale) Defective Title",
		feeDescription:
			"Defective title can completely prevent a sale or purchase. Remedial legal work varies widely and will be quoted in advance where possible.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 0.1,
			feeVat: 0.02,
			feeTotalPrice: 0.12,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Discharge of Additional Security",
		feeDescription: "Work involved in discharging additional securities other than main mortgage account",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 100.0,
			feeVat: 20.0,
			feeTotalPrice: 120.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Executry Sale or Purchase",
		feeDescription: "Ensuring adequate links in title in place in executry sale or purchase",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 125.0,
			feeVat: 25.0,
			feeTotalPrice: 150.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Expedited Date of Entry",
		feeDescription: "Date of Entry less than 6 weeks from agreeing sale or purchase",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Factored Property",
		feeDescription: "Liaising with Factor for property on behalf of seller including obtaining apportionment of costs",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 75.0,
			feeVat: 15.0,
			feeTotalPrice: 90.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "First Home Fund - NEW BUILD",
		feeDescription: "Liaising with solicitors acting for Government and additional administration and paperwork",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 195.0,
			feeVat: 39.0,
			feeTotalPrice: 234.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "First Home Fund - PRIVATE CLIENT",
		feeDescription: "Liaising with solicitors acting for Government and additional administration and paperwork",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 250.0,
			feeVat: 50.0,
			feeTotalPrice: 300.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "First Registration/Property Not in Land Register",
		feeDescription:
			"Work involved in applying to enter property into Land Register for the first time for buyer or obtaining additional reports and ensuring burdens present for seller",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 125.0,
			feeVat: 25.0,
			feeTotalPrice: 150.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Gifted Deposit",
		feeDescription: "Undertaking Enhanced Client Due Diligence on Gifter of purchase funds",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Gifted Deposit - ID Checks",
		feeDescription: "ID Checks have to be undertaken on any parties gifting funds towards a property purchase. Per person gifting.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 10.0,
			feeVat: 2.0,
			feeTotalPrice: 12.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Help to Buy - NEW BUILD",
		feeDescription: "Liaising with solicitors acting for Government and additional administration and paperwork",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 195.0,
			feeVat: 39.0,
			feeTotalPrice: 234.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Help to Buy - PRIVATE CLIENT",
		feeDescription: "Liaising with solicitors acting for Government and additional administration and paperwork",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 250.0,
			feeVat: 50.0,
			feeTotalPrice: 300.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Help to Buy ISA",
		feeDescription: "Liaising with ISA provider and Bonus Application. Fee per Help to Buy Scheme Rules.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 50.0,
			feeVat: 10.0,
			feeTotalPrice: 60.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Liaising with Joint Valuation Board for Rateable Value Certificate",
		feeDescription: "",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 75.0,
			feeVat: 15.0,
			feeTotalPrice: 90.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Lifetime ISA",
		feeDescription: "",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 75.0,
			feeVat: 15.0,
			feeTotalPrice: 90.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Shared Equity Purchase - NEW BUILD",
		feeDescription: "Liaising with various additional parties and additional legal paperwork",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 195.0,
			feeVat: 39.0,
			feeTotalPrice: 234.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Shared Equity Purchase - PRIVATE CLIENT",
		feeDescription: "Liaising with various additional parties and additional legal paperwork",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 250.0,
			feeVat: 50.0,
			feeTotalPrice: 300.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Taking Instructions from Multiple Parties",
		feeDescription: "Taking separate instructions from two or more individuals on a purchase or sale",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Title Indemnity - Approving (Sale) or Advising on (Purchase) Title Indemnity Policy",
		feeDescription:
			"If title issue may prevent or delay a sale or purchase, Indemnity Policy may allow it to proceed. Not including cost of insurance policy.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Unreasonable Missive Delays or Unusually Complex Missives",
		feeDescription: "Non-standard, protracted contract negotiations with solicitor acting for your seller or buyer.",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
	{
		fee_id: uuidv4(),
		feeName: "Using a Separate Solicitor Firm for Purchase or Sale",
		feeDescription: "Liaising with separate solicitor acting for you e.g. if using different firm for purchase and sale",
		vatable: true,
		feeOriginType: "standard",
		feeType: "fixed",
		fixedFee: {
			feePrice: 95.0,
			feeVat: 19.0,
			feeTotalPrice: 114.0,
		},
		variableFee: [],
	},
];

export default SupplementRemortgageFees;
